Forms API
The Forms API for FaxStore allows you to create, update, delete, and retrieve form templates. It simplifies the management of form data and user interactions on your site.
Table of Contents
Authorization
Name Type Required Description authorization String required
Responses
200 OK json
View response body [
{
"id": 4,
"title": "Test Form",
"urlId": "testone",
"fields": "[{"type":"text","q":"Text Input ","opts":null},{"type":"area","q":"Text Area Here","opts":null}]",
"viewers": "",
"allowReplies": 1,
"createdAt": "1661778196468",
"discordChannel": "",
"rawFields": "Text Input :Text Area Here",
"description": ""
},
...
]404 Not Found json
View response body Forms not found.curl -X GET 'https://api.example.com/api/forms' \
-H 'Authorization: Bearer YOUR_API_TOKEN'const response = await fetch('https://api.example.com/api/forms', {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_API_TOKEN"
}
})
const data = await response.json()import requests
response = requests.get('https://api.example.com/api/forms', headers={
"Authorization": "Bearer YOUR_API_TOKEN"
})
data = response.json()<?php
$context = stream_context_create([
'http' => [
'method' => 'GET',
'header' => "Authorization: Bearer YOUR_API_TOKEN"
]
]);
$response = file_get_contents('https://api.example.com/api/forms', false, $context);
$data = json_decode($response, true);Authorization
Name Type Required Description authorization String required
Path parameters
Name Type Required Description id String required The form database ID
Responses
200 OK json
View response body {
"id": 4,
"title": "Test Form",
"urlId": "testone",
"fields": "[{"type":"text","q":"Text Input ","opts":null},{"type":"area","q":"Text Area Here","opts":null}]",
"viewers": "",
"allowReplies": 1,
"createdAt": "1661778196468",
"discordChannel": "",
"rawFields": "Text Input :Text Area Here",
"description": ""
}404 Not Found plaintext
View response body Form not found.curl -X GET 'https://api.example.com/api/forms/123' \
-H 'Authorization: Bearer YOUR_API_TOKEN'const response = await fetch('https://api.example.com/api/forms/123', {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_API_TOKEN"
}
})
const data = await response.json()import requests
response = requests.get('https://api.example.com/api/forms/123', headers={
"Authorization": "Bearer YOUR_API_TOKEN"
})
data = response.json()<?php
$context = stream_context_create([
'http' => [
'method' => 'GET',
'header' => "Authorization: Bearer YOUR_API_TOKEN"
]
]);
$response = file_get_contents('https://api.example.com/api/forms/123', false, $context);
$data = json_decode($response, true);Authorization
Name Type Required Description authorization String required
Path parameters
Name Type Required Description id String required The Form database ID.
Responses
201 OK plaintext
View response body (no content)404 Not Found plaintext
View response body Form not found.curl -X GET 'https://api.example.com/api/forms/123' \
-H 'Authorization: Bearer YOUR_API_TOKEN'const response = await fetch('https://api.example.com/api/forms/123', {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_API_TOKEN"
}
})
const data = await response.json()import requests
response = requests.get('https://api.example.com/api/forms/123', headers={
"Authorization": "Bearer YOUR_API_TOKEN"
})
data = response.json()<?php
$context = stream_context_create([
'http' => [
'method' => 'GET',
'header' => "Authorization: Bearer YOUR_API_TOKEN"
]
]);
$response = file_get_contents('https://api.example.com/api/forms/123', false, $context);
$data = json_decode($response, true);Document History Loading version history...